Library Version 18.1.40

operator==
Prev | Chapter 4. Db_vector | Next

## operator==

### Function Details

    bool operator==(const db_vector< T2,
        T3 > &v2) const

Container equality comparison operator.

This function supports auto-commit.

#### Parameters

##### v2

The vector to compare against.

#### Return Value

Compare two vectors, return true if they have identical sequences of elements, otherwise return false.

    bool operator==(const self &v2) const

Container equality comparison operator.

This function supports auto-commit.

#### Return Value

Compare two vectors, return true if they have identical elements, otherwise return false.

### Group: Compare functions.

http://www.sgi.com/tech/stl/Vector.html

### Class

db_vector

Prev | Up | Next
back | Home | operator!=